सामग्री पर जाएँ

Luma Photon · Flash · Modify

इंटीग्रेट करें

मॉडल id luma-photon/flash/modify
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/luma-photon/flash/modify?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "strength": 0.8,
    "aspect_ratio": "1:1"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: ≈$0.005 5 API क्रेडिट इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Luma AI इमेज एडिटिंग तेज़ #image-to-image

Flash इमेज संपादन, जो प्रॉम्प्ट के आधार पर इनपुट इमेज को बदलता है और मूल इमेज की ताकत समायोजित की जा सकती है

Luma AI · इमेज

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

0 / 5000

इमेज को संपादित करने का तरीका बताने वाला instruction।

•आवश्यक image_url
फ़ाइल ड्रॉप करें, या

reframe की जाने वाली इमेज की ओर संकेत करने वाला URL।

aspect_ratio •आवश्यक

reframing के बाद इमेज का aspect ratio।

•आवश्यक

आउटपुट की initial इमेज पर निर्भरता इस strength setting से नियंत्रित होती है; इसे बढ़ाने पर उस इमेज का प्रभाव बढ़ जाता है।

उन्नत enable_safety_checker
POST /run/luma-photon/flash/modify?wait=20 कोटेशन → $0.005
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/luma-photon/flash/modify?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "strength": 0.8,
    "aspect_ratio": "1:1"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Luma Photon · Flash · Modify के बारे में

`image_url` से दी गई मौजूदा इमेज को एडिट करता है। 0 से 1 तक का आवश्यक `strength` मान तय करता है कि स्रोत इमेज परिणाम को कितना प्रभावित करे, और आवश्यक `aspect_ratio` आउटपुट का आकार तय करता है। 5000 वर्णों तक का वैकल्पिक `prompt` बदलाव का वर्णन करता है। यह Photon Modify का Flash संस्करण है।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
promptवैकल्पिक
प्रकारstring | null
≤ 5,000 अक्षर≥ 3 अक्षर
इमेज को संपादित करने का तरीका बताने वाला instruction।
image_urlआवश्यक image
प्रकारurl · image
reframe की जाने वाली इमेज की ओर संकेत करने वाला URL।
strengthआवश्यक
प्रकारnumber
0 – 1
आउटपुट की initial इमेज पर निर्भरता इस strength setting से नियंत्रित होती है; इसे बढ़ाने पर उस इमेज का प्रभाव बढ़ जाता है।
aspect_ratioआवश्यक
प्रकारenum
1:116:99:164:33:421:99:21
reframing के बाद इमेज का aspect ratio।
enable_safety_checkerवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
यदि कॉलर अधिकृत है, तो false सेट करके स्क्रीनिंग में ढील दी जा सकती है।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "luma-photon/flash/modify",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 5,
    "usd": "0.005",
    "charged": 5,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "strength": 0.8,
    "aspect_ratio": "1:1"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
images
array of object {url, content_type, file_name, file_size}निर्माण से बनाई गई इमेज।

और मॉडल: इमेज एडिटिंग

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/luma-photon/flash/modify.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt